Description: Upstream changes introduced in version 20090826-2
 This patch has been created by dpkg-source during the package build.
 Here's the last changelog entry, hopefully it gives details on why
 those changes were made:
 .
 libtablelayout-java (20090826-2) unstable; urgency=low
 .
   * Switch to debhelper level 7.
   * Remove useless Depends.
   * Update Standards-Version: 3.9.1.
 .
 The person named in the Author field signed this changelog entry.
Author: Torsten Werner <twerner@debian.org>
--- /dev/null
+++ b/build.properties
@@ -0,0 +1,4 @@
+class.dir=build
+doc.dir=doc
+source.dir=src
+jar.name=tablelayout.jar
--- /dev/null
+++ b/build.xml
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<project default="jar" name="tablelayout" basedir=".">
+  <property file="build.properties"/>
+
+  <target name="clean" description="Clean up">
+    <delete dir="${class.dir}"/>
+    <delete file="${jar.name}"/>
+  </target>
+
+  <target name="compile" description="Compile the sources">
+    <mkdir dir="${class.dir}"/>
+    <javac srcdir="${source.dir}" destdir="${class.dir}"
+      deprecation="true" debug="true" optimize="false"/>
+  </target>
+
+  <target name="javadoc" description="Creates Javadoc documentation">
+    <mkdir dir="${doc.dir}"/>
+    <javadoc packagenames="org.debian.tablelayout.*"
+      sourcepath="${source.dir}" destdir="${doc.dir}"/>
+  </target>
+
+  <target name="jar" description="Create the jar" depends="compile">
+    <jar jarfile="${jar.name}" basedir="${class.dir}"/>
+  </target>
+
+  <target name="install" depends="jar">
+     <mkdir dir="${destdir}/usr/share/java/" />
+     <copy file="${jar.name}" todir="${destdir}/usr/share/java/"/>
+  </target>
+</project>
